# ExprOptimization.jl

Algorithms for the optimization of Julia expressions derived from a grammar.  

The following algorithms are implemented:
* Monte Carlo
* Genetic Programming
* Grammatical Evolution
* Cross-Entropy Method
* Probabilistic Incremental Program Execution (PIPE)

## Main Dependencies

* sisl/ExprRules.jl

## Usage

Please see the [example notebook](http://nbviewer.ipython.org/github/sisl/ExprOptimization.jl/blob/master/examples/symbolic_regression.ipynb).


## Maintainers:

* Ritchie Lee, ritchie.lee@sv.cmu.edu
* Tim Wheeler, tawheeler@stanford.edu
* Mykel Kochenderfer, mykel@stanford.edu

[![Build Status](https://travis-ci.org/sisl/ExprOptimization.jl.svg?branch=master)](https://travis-ci.org/sisl/ExprOptimization.jl) [![Coverage Status](https://coveralls.io/repos/sisl/ExprOptimization.jl/badge.svg?branch=master)](https://coveralls.io/github/sisl/ExprOptimization.jl?branch=master)
